Subject: Re: [PATCH v2 06/14] commit-graph: implement git-commit-graph --read

From: Jonathan Tan <[email-masked]>
Date: Thu, 1 Feb 2018 16:23:24 -0800

On Tue, 30 Jan 2018 16:39:35 -0500
Derrick Stolee <[email-masked]> wrote:

> Teach git-commit-graph to read commit graph files and summarize their contents.

One overall question - is the "read" command meant to be a command used
by the end user, or is it here just to test that some aspects of reading
works? If the former, I'm not sure how useful it is. And if the latter,
I think that it is more useful to just implementing something that reads
it, then make the 11/14 change (modifying parse_commit_gently) and
include a perf test to show that your commit graph reading is both
correct and (performance-)effective.